package ru.landgrafhomyak.db.sql_skeleton_0.api.queries

public interface RawStatement<qUE : Any?, RUNTIME_KEY: Any> : _Statement<qUE, RUNTIME_KEY> {
	public override val uExt: qUE

	public interface Void2Void<qUE : Any?, RUNTIME_KEY: Any> : RawStatement<qUE, RUNTIME_KEY>, _Statement.Void2Void<qUE, RUNTIME_KEY> {
		override val uExt: qUE

		public interface Constructor<qUE : Any?>
	}

	public interface Void2Row<qUE : Any, RUNTIME_KEY: Any> : RawStatement<qUE, RUNTIME_KEY>, _Statement.Void2Row<qUE, RUNTIME_KEY> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Void2RowOrNull<qUE : Any, RUNTIME_KEY: Any> : RawStatement<qUE, RUNTIME_KEY>, _Statement.Void2RowOrNull<qUE, RUNTIME_KEY> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Void2Table<qUE : Any, RUNTIME_KEY: Any> : RawStatement<qUE, RUNTIME_KEY>, _Statement.Void2Table<qUE, RUNTIME_KEY> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Params2Void<qUE : Any, RUNTIME_KEY: Any> : RawStatement<qUE, RUNTIME_KEY>, _Statement.Params2Void<qUE, RUNTIME_KEY> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Params2Row<qUE : Any, RUNTIME_KEY: Any> : RawStatement<qUE, RUNTIME_KEY>, _Statement.Params2Row<qUE, RUNTIME_KEY> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Params2RowOrNull<qUE : Any, RUNTIME_KEY: Any> : RawStatement<qUE, RUNTIME_KEY>, _Statement.Params2RowOrNull<qUE, RUNTIME_KEY> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}

	public interface Params2Table<qUE : Any, RUNTIME_KEY: Any> : RawStatement<qUE, RUNTIME_KEY>, _Statement.Params2Table<qUE, RUNTIME_KEY> {
		override val uExt: qUE

		public interface Constructor<qUE : Any>
	}
}